<?php

/**
 * Created by xDeveloper.
 * Site: http://www.xf-ar.com
 * Email: turkialawlqy@gmail.com
 * Date: 5/16/16,  11:36 AM
 */
class Turki_Ranks_Installer
{
    protected static function _canBeInstalled(&$error)
    {
        if (XenForo_Application::$versionId < 1030070)
        {
            $error = 'يجب ترقية منتداك الى الاصدار 1.3.0 أو آعلى .';
            return false;
        }
        return true;
    }
    public static function install($previous)
    {
        if (!self::_canBeInstalled($error))
        {
            throw new XenForo_Exception($error, true);
        }

        $db      = XenForo_Application::getDb();
        $tables = self::getTables();
        if (!$previous) {
            foreach ($tables AS $tableSql)
            {
                try
                {
                    $db->query($tableSql);
                }
                catch (Zend_Db_Exception $e) {}
            }
        }
    }

    public static function uninstall()
    {
        $db = XenForo_Application::get('db');

        foreach (self::getTables() AS $tableName => $tableSql)
        {
            try
            {
                $db->query("DROP TABLE IF EXISTS `$tableName`");
            }
            catch (Zend_Db_Exception $e) {}
        }

    }

    private static function getTables()
    {
        $tables = array();
        $tables['xf_user_ranks'] = "
			CREATE TABLE `xf_user_ranks` (
              `rank_minimum_level` int(10) unsigned NOT NULL,
              `rank` varchar(250) NOT NULL,
              `rank_type` enum('image','css') NOT NULL DEFAULT 'image',
              `ranklevel` int(11) NOT NULL DEFAULT '1',
              PRIMARY KEY (`rank_minimum_level`)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
		";

        return $tables;
    }
}